Package org.drinkless.tdlib

# Class TdApi.GetStickerOutline

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Outline>
org.drinkless.tdlib.TdApi.GetStickerOutline

Enclosing class:
  `TdApi`

public static class TdApi.GetStickerOutline extends TdApi.Function<TdApi.Outline>
Returns outline of a sticker. This is an offline method. Returns a 404 error if the outline isn't known.

Returns `Outline`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `boolean`
  `forAnimatedEmoji`
  Pass true to get the outline scaled for animated emoji.
  `boolean`
  `forClickedAnimatedEmojiMessage`
  Pass true to get the outline scaled for clicked animated emoji message.
  `int`
  `stickerFileId`
  File identifier of the sticker.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetStickerOutline()`
  Default constructor for a function, which returns outline of a sticker.
  `GetStickerOutline(int stickerFileId, boolean forAnimatedEmoji, boolean forClickedAnimatedEmojiMessage)`
  Creates a function, which returns outline of a sticker.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### stickerFileId

    public int stickerFileId
    File identifier of the sticker.

  - ### forAnimatedEmoji

    public boolean forAnimatedEmoji
    Pass true to get the outline scaled for animated emoji.

  - ### forClickedAnimatedEmojiMessage

    public boolean forClickedAnimatedEmojiMessage
    Pass true to get the outline scaled for clicked animated emoji message.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetStickerOutline

    public GetStickerOutline()
    Default constructor for a function, which returns outline of a sticker. This is an offline method. Returns a 404 error if the outline isn't known.

    Returns `Outline`

  - ### GetStickerOutline

    public GetStickerOutline(int stickerFileId, boolean forAnimatedEmoji, boolean forClickedAnimatedEmojiMessage)
    Creates a function, which returns outline of a sticker. This is an offline method. Returns a 404 error if the outline isn't known.

    Returns `Outline`

    Parameters:
      `stickerFileId` - File identifier of the sticker.
      `forAnimatedEmoji` - Pass true to get the outline scaled for animated emoji.
      `forClickedAnimatedEmojiMessage` - Pass true to get the outline scaled for clicked animated emoji message.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Outline>`
    Returns:
      this.CONSTRUCTOR